Create a test account
Create a Bolt shopper account for testing purposes.
Authorization
api-key X-API-Key<token>
In: header
Header Parameters
X-Publishable-Key*string
The publicly shareable identifier used to identify your Bolt merchant division.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/testing/accounts" \ -H "X-Publishable-Key: string" \ -H "Content-Type: application/json" \ -d '{ "email_state": "unverified", "phone_state": "verified" }'{ "email": "alice@example.com", "email_state": "unverified", "phone": "+14155550199", "phone_state": "verified", "is_migrated": true, "has_address": true, "has_credit_card": true, "otp_code": "123456", "oauth_code": "7GSjMRSHs6Ak7C_zvVW6P2IhZOHxMK7HZKW1fMX85ms"}Callback to update or create a full shopper account POST
Create or update a shopper account with profile information, payment and addresses. This is also known as the "upsert account" API, a combination of update and insert.
Get a random phone number GET
Get a random, fictitious phone number that is not assigned to any existing Bolt account.